import { createRouter, createWebHistory, RouteRecordRaw } from 'vue-router'
import Login from "../views/login/Login.vue"

const routes: Array<RouteRecordRaw> = [
  {
    path:"/mine",
    name:"Mine",
    component: () => import("../layout/Mine.vue"),
    children: [
      {
        path:"archives",
        name: "Archives",
        component: () => import("../views/mine/Archives.vue")
      },
      {
        path:"webcast",
        name: "Webcast",
        component: () => import("../views/mine/ReleaseWebcast.vue")
      },
      {
        path:"video",
        name: "Video",
        component: () => import("../views/mine/ReleaseVideo.vue")
      }
    ]
  },
  {
    path:"/regime",
    name:"Regime",
    component: () => import("../layout/Regime.vue"),
    children: [
      {
        path: "video",
        component: () => import("../views/regime/Video.vue")
      },
      {
        path: "videoinfo",
        component: () => import("../views/regime/VideoInfo.vue")
      }
    ]
  },
  {
    path: '/',
    name: 'Home',
    component: () => import(/* webpackChunkName: "about" */ '../components/NavTop.vue')
  },
  {
    path: '/login',
    name: 'Login',
    component:Login
  },
  {
    path: '/sign',
    name: 'Sign',
    component: () => import('../views/login/Sign.vue')
  },
  {
    path: '/reset',
    name: 'Reset',
    component: () => import('../views/login/Reset.vue')
  },
  {
    path: '/about',
    name: 'About',
    component: () => import('../views/login/About.vue')
  },
]

const router = createRouter({
  history: createWebHistory(process.env.BASE_URL),
  routes
})

export default router
